function b=basis(x);
% basis function for polynomial interpolation
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

b = zeros(size(x));

dom1 = find((x>=-2)&(x<-1));
b(dom1) = 1/6*(2+x(dom1)).^3;

dom2 = find((x>=-1)&(x<0));
b(dom2) = -0.5*x(dom2).^3 - x(dom2).^2 + 2/3;

dom3 = find((x>=0)&(x<1));
b(dom3) = 0.5*x(dom3).^3 - x(dom3).^2 + 2/3;

dom4 = find((x>=1)&(x<2));
b(dom4) = 1/6*(2-x(dom4)).^3;

